
QGIS Application - Bug report #4479

New color ramp... missing at second hit

2011-11-01 09:45 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14406

Description

In Vector properties, categorized and graduated styles, if I click on New color ramp..., then cancel, I cannot get the popup again (I click

again on New color ramp..., but nothing happens).

From Alister:

If after cancelling you select an existing colour ramp before clicking on "new color ramp" again, it works.

I think the bug is actually that when you cancel "new colour ramp" stays selected.  

What should happen when you cancel is that the previously selected colour ramp should be selected.

Confirmed on Debian and Windows, current trunk (thanks Anita)

Associated revisions

Revision 8e5aa032 - 2011-11-03 03:56 PM - Martin Dobias

Fix #4479 - trigger "new color ramp" always when activated

Revision 80228552 - 2011-11-13 11:37 AM - Martin Dobias

Fix #4479 - trigger "new color ramp" always when activated

History

#1 - 2011-11-03 07:57 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:8e5aa03
